Bug 438127 - (CVE-2008-1289) CVE-2008-1289 asterisk: Two buffer overflows in RTP Codec Payload Handling (AST-2008-002)
CVE-2008-1289 asterisk: Two buffer overflows in RTP Codec Payload Handling (A...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 438132 438133 438134
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 06:16 EDT by Tomas Hoger
Modified: 2008-03-31 05:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 05:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-03-19 06:16:06 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1289 to the following vulnerability:

Asterisk Project Security Advisory - AST-2008-002

Two buffer overflows exist in the RTP payload handling code of Asterisk. Both
overflows can be caused by an INVITE or any other SIP packet with SDP. The
request may need to be authenticated depending on configuration of the Asterisk
installation.

The first overflow is caused by sending a payload number that surpasses the
programmed maximum payload number of 256. This causes an invalid memory write
outside of the buffer. While this does not allow the attacker to write
arbitrary data it does allow the attacker to write a 0 to other memory
locations.

The second overflow is caused by sending more than 32 RTP payloads. This causes
a buffer on the stack to overflow allowing the attacker to write values between
0 and 256 (the maximum payload number) to memory locations after the buffer.

References:
http://downloads.digium.com/pub/security/AST-2008-002.html
Comment 3 Fedora Update System 2008-03-19 11:45:33 EDT
asterisk-1.4.18.1-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-19 23:50:31 EDT
asterisk-1.4.18.1-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-03-21 18:02:48 EDT
asterisk-1.4.18.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-03-21 18:14:13 EDT
asterisk-1.4.18.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-03-31 05:43:51 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2620
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2554


Note You need to log in before you can comment on or make changes to this bug.